Subject: Re: bug#50568: Missing source code

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Sep 2021 09:25:27 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Courtès wrote:
>> I wonder if there’s a way to construct generic web.archive.org URLs that
>> we could use as a fallback in (guix build download)?
> On Thu, Sep 16, 2021 at 09:45:26PM +0200, Ludovic Courtès wrote:
>> How ’bout the attached patch?  Works for me.
>
> Thank you for implementing.  I guix pull with the patch applied, add the IP
> from
>
> guix environment --ad-hoc bind:utils -- dig web.archive.org
>
> to /etc/hosts, set my DNS server to a non-existing 10.0.0.50, disable
> IPv6, then “sudo herd stop nscd”, re-connect Network Manager (ping
> gnu.org fails now) and LC_ALL=en_US.utf8 guix install hello.  It
> fails.  Did I misunderstand the patch’s purpose or test in a wrong
> way?  This is the output:

The thing is that this code is used by the internal ‘guix
perform-download’ command, invoked by ‘guix-daemon’ when performing a
source download.  Thus, since you were still running the old daemon, you
were using code lacking the Internet Archive fallback.

To test it, you can first start the new daemon, along these lines:

  sudo herd stop guix-daemon
  sudo -E ./pre-inst-env guix-daemon --build-users-group=guixbuild

Another option is to call ‘url-fetch’ manually at the REPL.

Thanks for testing!

Ludo’.